# Payment query request

Query a payment

Endpoint: GET /api/payments/{linkData}
Version: 2024-06-01
Security: BasicAuth

## Path parameters:

  - `linkData` (string, required)

## Header parameters:

  - `WP-Api-Version` (string, required)
    The API version
    Enum: "2024-06-01"

## Response 200 fields (application/json):

  - `lastEvent` (string)
    The last event received for the payment
    Enum: "Authorized", "Refused", "Sent for Settlement", "Sent for Refund", "Sent for Cancellation", "Refund failed", "Settlement failed", "Settled", "Refunded", "Error", "Expired"

  - `_actions` (object)

  - `_actions.cancelPayment` (object)
    Cancel the payment. See [details](../manage-payments/cancel)

  - `_actions.cancelPayment.href` (string)

  - `_actions.cancelPayment.method` (string)

  - `_actions.partiallySettlePayment` (object)
    Partially settle the payment. See [details](../manage-payments/partialsettle) including what to add in the request body.

  - `_actions.partiallySettlePayment.href` (string)

  - `_actions.partiallySettlePayment.method` (string)

  - `_actions.settlePayment` (object)
    Fully settle the payment. See [details](../manage-payments/settle)

  - `_actions.settlePayment.href` (string)

  - `_actions.settlePayment.method` (string)

  - `_actions.refundPayment` (object)
    Fully refund the payment. See [details](../manage-payments/refund)

  - `_actions.refundPayment.href` (string)

  - `_actions.refundPayment.method` (string)

  - `_actions.partiallyRefundPayment` (object)
    Partially refund the payment. See [details](../manage-payments/partialrefund)

  - `_actions.partiallyRefundPayment.href` (string)

  - `_actions.partiallyRefundPayment.method` (string)

  - `_actions.reversePayment` (object)
    Reverse the payment. See [details](../manage-payments/reversal)

  - `_actions.reversePayment.href` (string)

  - `_actions.reversePayment.method` (string)

## Response 400 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `jsonPath` (string)

  - `validationErrors` (array)

## Response 404 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 500 fields (application/json):

  - `errorName` (string)

  - `message` (string)


